# This dockerfile is specific to building Multus for OpenShift
FROM openshift/golang-builder:rhel_8_golang_1.16 AS rhel8
ENV __doozer=update BUILD_RELEASE=202112142229.p0.g44a4913.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.g44a4913.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=44a4913 OS_GIT_VERSION=4.9.0-202112142229.p0.g44a4913.assembly.stream-44a4913 SOURCE_DATE_EPOCH=1629376154 SOURCE_GIT_COMMIT=44a49134de5e4d4cc136cc0862d35f226d61d3be SOURCE_GIT_TAG=44a4913 SOURCE_GIT_URL=https://github.com/openshift/containernetworking-plugins 
ADD . /usr/src/plugins
WORKDIR /usr/src/plugins
ENV CGO_ENABLED=0
RUN ./build_linux.sh && \
    cd /usr/src/plugins/bin
WORKDIR /

FROM openshift/golang-builder:rhel_8_golang_1.16 AS rhel7
ENV __doozer=update BUILD_RELEASE=202112142229.p0.g44a4913.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.g44a4913.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=44a4913 OS_GIT_VERSION=4.9.0-202112142229.p0.g44a4913.assembly.stream-44a4913 SOURCE_DATE_EPOCH=1629376154 SOURCE_GIT_COMMIT=44a49134de5e4d4cc136cc0862d35f226d61d3be SOURCE_GIT_TAG=44a4913 SOURCE_GIT_URL=https://github.com/openshift/containernetworking-plugins 
ADD . /usr/src/plugins
WORKDIR /usr/src/plugins
ENV CGO_ENABLED=0
RUN ./build_linux.sh && \
    cd /usr/src/plugins/bin
WORKDIR /

FROM openshift/golang-builder:rhel_8_golang_1.16 AS windows
ENV __doozer=update BUILD_RELEASE=202112142229.p0.g44a4913.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.g44a4913.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=44a4913 OS_GIT_VERSION=4.9.0-202112142229.p0.g44a4913.assembly.stream-44a4913 SOURCE_DATE_EPOCH=1629376154 SOURCE_GIT_COMMIT=44a49134de5e4d4cc136cc0862d35f226d61d3be SOURCE_GIT_TAG=44a4913 SOURCE_GIT_URL=https://github.com/openshift/containernetworking-plugins 
ADD . /usr/src/plugins
WORKDIR /usr/src/plugins
ENV CGO_ENABLED=0
RUN ./build_windows.sh && \
    cd /usr/src/plugins/bin
WORKDIR /

FROM openshift/ose-base:v4.9.0-202112140956.p0.gf93eca8.assembly.stream
ENV __doozer=update BUILD_RELEASE=202112142229.p0.g44a4913.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202112142229.p0.g44a4913.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=44a4913 OS_GIT_VERSION=4.9.0-202112142229.p0.g44a4913.assembly.stream-44a4913 SOURCE_DATE_EPOCH=1629376154 SOURCE_GIT_COMMIT=44a49134de5e4d4cc136cc0862d35f226d61d3be SOURCE_GIT_TAG=44a4913 SOURCE_GIT_URL=https://github.com/openshift/containernetworking-plugins 
RUN mkdir -p /usr/src/plugins/bin && \
    mkdir -p /usr/src/plugins/rhel7/bin && \
    mkdir -p /usr/src/plugins/rhel8/bin && \
    mkdir -p /usr/src/plugins/windows/bin
COPY --from=rhel7 /usr/src/plugins/bin/* /usr/src/plugins/rhel7/bin/
COPY --from=rhel8 /usr/src/plugins/bin/* /usr/src/plugins/bin/
COPY --from=rhel8 /usr/src/plugins/bin/* /usr/src/plugins/rhel8/bin/
COPY --from=windows /usr/src/plugins/bin/* /usr/src/plugins/windows/bin/

LABEL \
        io.k8s.display-name="Container Networking Plugins" \
        io.k8s.description="This is a component of OpenShift Container Platform and provides the reference CNI plugins." \
        io.openshift.tags="openshift" \
        maintainer="Doug Smith <dosmith@redhat.com>" \
        name="openshift/ose-container-networking-plugins" \
        com.redhat.component="ose-containernetworking-plugins-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="multus" \
        release="202112142229.p0.g44a4913.assembly.stream" \
        io.openshift.build.commit.id="44a49134de5e4d4cc136cc0862d35f226d61d3be" \
        io.openshift.build.source-location="https://github.com/openshift/containernetworking-plugins" \
        io.openshift.build.commit.url="https://github.com/openshift/containernetworking-plugins/commit/44a49134de5e4d4cc136cc0862d35f226d61d3be" \
        version="v4.9.0"

